/************************************************************************************/
/************************************* Colors *************************************/
/************************************************************************************/
:root {
  --white:#fff;
  --black:#000;
  --red:#9B0000;
  --blue:#0F0078;
  --light-blue:#5163c0;
  --deep-blue:#05014a;
  --orange:#ff9644;
  /* color */
  --font-color:#010101;
  --primary: #4D1FF2;
  --primary400: #2b379e;
  --primary300: #3a49b4;
  --primary200: #7680ca;
  --primary100: #c4c7e9;
  --primary000: #e7e9f6;
  --secondary: #FB6B4D;
  --gray100: #F3F6F9;
  --gray200: #E9ECEF;
  --gray300: #CED4DA;
  --gray400: #ADB5BD;
  --gray500: #848C93;
  --brd-c1: #E9ECEF;
  --brd-c2: #CED4DA;
  --c-red: #ec0000;
  --btn-gray:#6c757d;
  --mc: #2e55e7;
}

/************************************************************************************/
/*************************************** Form ***************************************/
/************************************************************************************/
*:disabled {
  opacity: 0.5;
  cursor: default;
}

*:disabled + label {
  opacity: 0.5;
  cursor: default;
}

input,
textarea,
select {
  width: 100%;
  background-color: var(--gray-100);
  border: 0;
}

input[type=text],
input[type=date],
input[type=time],
input[type=number],
input[type=password],
select {
  background-color: var(--gray-100);
  height: 64px;
  padding: 10px 20px;
}
@media (max-width: 1280px) {
  input[type=text],
  input[type=date],
  input[type=time],
  input[type=number],
  input[type=password],
  select {
    height: 54px;
  }
}
@media (max-width: 767px) {
  input[type=text],
  input[type=date],
  input[type=time],
  input[type=number],
  input[type=password],
  select {
    height: 44px;
    padding: 10px 14px;
  }
}

input[type=time]::-webkit-calendar-picker-indicator {
  display: none;
}

select {
  background: url("/images/common/select.svg") no-repeat right 1em center/10px 5px;
  -webkit-appearance: none;
     -moz-appearance: none;
          appearance: none;
}

button {
  height: 68px;
}
@media (max-width: 1280px) {
  button {
    height: 60px;
  }
}
@media (max-width: 767px) {
  button {
    height: 48px;
  }
}
@media (max-width: 480px) {
  button {
    height: 40px;
  }
}

input::-webkit-input-placeholder {
  color: var(--gray-7c);
  font-weight: 300;
}

input::-moz-placeholder {
  color: var(--gray-7c);
  font-weight: 300;
}

input:-ms-input-placeholder {
  color: var(--gray-7c);
  font-weight: 300;
}

input::-ms-input-placeholder {
  color: var(--gray-7c);
  font-weight: 300;
}

input::placeholder {
  color: var(--gray-7c);
  font-weight: 300;
}

input[type=checkbox] {
  display: none;
}
input[type=checkbox] + label {
  font-size: 1.8rem;
  font-weight: 600;
  padding-left: calc(32px + 0.5em);
  position: relative;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  gap: 1em;
}
input[type=checkbox] + label::before {
  content: "";
  width: 32px;
  height: 32px;
  border: 1px solid var(--gray300);
  border-radius: 50%;
  background: var(--white) url("/images/board/icon_uncheck.svg") no-repeat center/75% 75%;
  margin-right: 1em;
  display: block;
  position: absolute;
  top: -2x;
  left: 0;
}
input[type=checkbox]:checked + label::before {
  border: 1px solid var(--primary);
  background: var(--primary) url("/images/board/icon_check.svg") no-repeat center/75% 75%;
}
@media (max-width: 1280px) {
  input[type=checkbox] + label {
    font-size: 1.7rem;
  }
}
@media (max-width: 767px) {
  input[type=checkbox] + label {
    font-size: 1.5rem;
  }
  input[type=checkbox] + label::before {
    width: 28px;
    height: 28px;
  }
}
input[type=radio]:focus + .input-label {
  outline: 2px dashed var(--black);
}
input[type=radio] + .input-label {
  cursor: pointer;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  position: relative;
  margin-right: 2.5em;
  height: 60px;
}
input[type=radio] + .input-label::before, input[type=radio] + .input-label::after {
  content: "";
  border-radius: 50%;
  display: block;
}
input[type=radio] + .input-label::before {
  width: 32px;
  height: 32px;
  margin-right: 10px;
  background: var(--white);
  border: 1px solid var(--brd-c1);
}
input[type=radio]:checked + .input-label::before {
  border-color: var(--mc);
}
input[type=radio]:checked + .input-label::after {
  position: absolute;
  width: 14px;
  height: 14px;
  background: var(--mc);
  top: 50%;
  left: 9px;
  margin-top: -7px;
}
@media screen and (max-width: 1024px) {
  input[type=radio] + .input-label {
    height: 52px;
    margin-right: 1.5em;
  }
  input[type=radio] + .input-label::before {
    width: 24px;
    height: 24px;
    margin-right: 6px;
  }
  input[type=radio]:checked + .input-label::after {
    width: 10px;
    height: 10px;
    top: 50%;
    left: 7px;
    margin-top: -5px;
  }
}
@media screen and (max-width: 768px) {
  input[type=radio] + .input-label {
    height: 42px;
    margin-right: 1em;
  }
  input[type=radio] + .input-label::before {
    width: 20px;
    height: 20px;
    margin-right: 4px;
  }
  input[type=radio]:checked + .input-label::after {
    width: 8px;
    height: 8px;
    top: 50%;
    left: 6px;
    margin-top: -4px;
  }
}

.select-wrap {
  position: relative;
}
.select-wrap input {
  background: url("/images/gsndnurse/common/select.svg") no-repeat right 1em center/9px 5px;
  cursor: pointer;
}
.select-wrap .select-option {
  width: 100%;
  background: var(--white);
  position: absolute;
  z-index: 50;
  display: none;
}
.select-wrap .select-option a {
  display: block;
}

input.error,
select.error,
textarea.error {
  border-color: var(--bs-danger) !important;
}
input.valid,
select.valid,
textarea.valid {
  border-color: var(--bs-success) !important;
}
input.error ~ label.error,
select.error ~ label.error,
textarea.error ~ label.error {
  position: absolute;
  width: auto;
  top: 100%;
  z-index: 5;
  display: block !important;
  max-width: 100%;
  padding: 0.25rem 0.5rem;
  margin-top: 0.1rem;
  font-size: 1.4rem !important;
  color: #fff;
  background-color: var(--bs-danger);
  border-radius: var(--bs-border-radius);
}
